SHASUM(1)

NOM
shasum – Affichage ou vérification de sommes de contrôle

SYNOPSIS
 Usage : shasum [OPTION]... [FICHIER]...
 Afficher ou vérifier les sommes de contrôle.
 Sans FICHIER ou quand FICHIER est -, lire l’entrée standard.

   -a, --algorithm   1 (défaut), 224, 256, 384, 512, 512224, 512256
   -b, --binary      lire en mode binaire
   -c, --check       lire les sommes de contrôle SHA à partir des FICHIER et les vérifier
       --tag         créer une somme de contrôle de style BSD
   -t, --text        lire en mode texte (par défaut)
   -U, --UNIVERSAL   lire en mode Universal Newlines, production de la
                           même somme de contrôle sur Windows/Unix/Mac
   -0, --01          lire en mode BITS
                         « 0 » ASCII est interprété comme le bit 0,
                         « 1 » ASCII est interprété comme le bit 1,
                         tous les autres caractères sont ignorés

 Les cinq options suivantes sont seulement utiles pour la vérification des sommes de contrôle :
       --ignore-missing  pas d’échec ou de rapport d’état pour les fichiers manquants
   -q, --quiet           pas d’affichage pour chaque vérification de fichier réussie
   -s, --status          ne rien produire, code d’état indique si vérification réussie
       --strict          code de sortie différent de zéro pour les lignes
                            de somme de contrôle incorrectement formatées
   -w, --warn            avertir pour lignes de somme de contrôle incorrectement formatées

   -h, --help        afficher cette aide et quitter
   -v, --version     afficher l’information de version et quitter

 Lors la vérification de somme de contrôle SHA-512/224 ou SHA-512/256, indiquer
 l’algorithme explicitement en utilisant l’option -a, par exemple,

   shasum -a 512224 -c fichier_somme_de_contrôle

 Les sommes sont calculées tel que décrit dans la norme FIPS PUB 180-4.
 Lors de la vérification l’entrée doit être une sortie précédente de ce
 programme. Le mode par défaut est d’afficher une ligne avec la somme de
 contrôle, un caractère indiquant le type (« * » pour binaire, «   » pour
 texte, « U » pour UNIVERSAL, « ^ » pour BITS) et le nom de chaque FICHIER.
 La ligne débute avec le caractère « \ » si le nom de FICHIER contient
 soit des caractères de nouvelle ligne, soit des controbliques qui sont
 remplacés par des séquences de deux caractères « \n » et « \\ »
 respectivement.
 Rapport de bogue pour shasum à mshelor@cpan.org

DESCRIPTION
L’exécution de shasum est souvent le moyen le plus rapide de calculer une fonction de hachage SHA. L’utilisateur fournit simplement les données au script à l’aide d’un fichier ou de l’entrée standard et récolte le résultat sur la sortie standard.

La commande suivante montre comment calculer le hachage pour des entrées typiques telles que la valeur de test du NIST, « abc » :

        perl -e "print qq(abc)" | shasum

Ou pour utiliser SHA-256 au lieu de SHA-1 (par défaut), saisir simplement :

        perl -e "print qq(abc)" | shasum -a 256

Puisque shasum copie le comportement de l’ensemble des programmes GNU sha1sum(1), sha224sum(1), sha256sum(1), sha384sum(1) et sha512sum(1), ce script peut être installé comme remplaçant pratique et prêt à l’emploi.

Au contraire des programmes GNU, shasum englobe toute la norme SHA en autorisant des entrées d’octets incomplets (partial-byte). Cela est réalisé à l’aide de l’option BITS (-0). L’exemple suivant calcule la somme de contrôle SHA-224 du message de 7 bits 0001100:

        perl -e "print qq(0001100)" | shasum -0 -a 224

AUTEUR
Copyright (C) 2003-2023 Mark Shelor <mshelor@cpan.org>.

VOIR AUSSI
shasum est mis en œuvre en utilisant le module Digest::SHA de Perl.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.